%define version 4.13
%define name    mailscanner

Name:        %{name}
Version:     %{version}
Release:     1lds
Summary:     E-Mail Gateway Virus Scanner and Spam Detector
Group:       System Environment/Daemons
Copyright:   GPL
Vendor:      Electronics and Computer Science, University of Southampton
Packager:    Julian Field <mailscanner@ecs.soton.ac.uk>
URL:         http://www.mailscanner.info/
#Requires:    sendmail, perl >= 5.005, tnef >= 1.1.1, perl-MIME-tools >= 5.411, perl-IO-stringy >= 1.211, perl-MailTools >= 1.46, perl-Convert-TNEF
#Requires:    sendmail, perl >= 5.005, tnef >= 1.1.1, perl-MIME-tools >= 5.411, perl-Convert-TNEF
#Requires:    sendmail, perl >= 5.005, tnef >= 1.1.1, perl-MIME-tools >= 5.411
Requires:    perl >= 5.005, tnef >= 1.1.1, perl-MIME-tools >= 5.411
Source:      %{name}-%{version}.tgz
BuildRoot:   %{_tmppath}/%{name}-root
BuildArchitectures: noarch

%description
MailScanner is a freely distributable E-Mail gateway virus scanner and
spam detector. It uses sendmail or Exim as its basis, and a choice of
14 commercial virus scanning engines to do the actual virus scanning.
It can decode and scan attachments intended solely for Microsoft Outlook
users (MS-TNEF). If possible, it will disinfect infected documents
and deliver them automatically. It provides protection against many
security vulnerabilities in widely-used e-mail programs such as Eudora
and Microsoft Outlook. It will also selectively filter the content of
email messages to protect users from offensive content such as
pornographic spam. It also has features which protect it against
Denial Of Service attacks.

After installation, you must install one of the supported commercial anti-
virus packages.

This has been tested on Red Hat Linux 7.2 and 8.0, but should work on
other RPM-based Linuxes. Read "man rpm" if you have dependency problems.

%prep
%setup

%build

%install
perl -pi - etc/MailScanner.conf etc/virus.scanners.conf bin/mailscanner bin/Sophos.install bin/update_virus_scanners <<EOF
s+/opt/MailScanner/etc/mailscanner.conf+/etc/MailScanner/MailScanner.conf+;
s./opt/MailScanner/var./var/run.;
s./opt/MailScanner/bin/tnef./usr/bin/tnef.;
s./opt/MailScanner/etc/reports./etc/MailScanner/reports.;
s./opt/MailScanner/etc/rules./etc/MailScanner/rules.;
s./opt/MailScanner/etc./etc/MailScanner.;
s./opt/MailScanner/lib./usr/lib/MailScanner.;
s./opt/MailScanner/bin./usr/lib/MailScanner.;
s./usr/lib/sendmail./usr/sbin/sendmail.;
EOF
gzip doc/MailScanner.8

mkdir -p $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin/
mkdir -p ${RPM_BUILD_ROOT}/usr/share/man/man8
mkdir -p ${RPM_BUILD_ROOT}/usr/share/man/man1
mkdir -p ${RPM_BUILD_ROOT}/etc/MailScanner/
mkdir -p ${RPM_BUILD_ROOT}/etc/MailScanner/reports
mkdir -p ${RPM_BUILD_ROOT}/etc/MailScanner/reports/de
mkdir -p ${RPM_BUILD_ROOT}/etc/MailScanner/reports/en
mkdir -p ${RPM_BUILD_ROOT}/etc/MailScanner/reports/cs
mkdir -p ${RPM_BUILD_ROOT}/etc/MailScanner/reports/fr
mkdir -p ${RPM_BUILD_ROOT}/etc/MailScanner/reports/es
mkdir -p ${RPM_BUILD_ROOT}/etc/MailScanner/reports/nl
mkdir -p ${RPM_BUILD_ROOT}/etc/MailScanner/reports/pt_br
mkdir -p ${RPM_BUILD_ROOT}/etc/MailScanner/reports/dk
mkdir -p ${RPM_BUILD_ROOT}/etc/MailScanner/reports/sk
mkdir -p ${RPM_BUILD_ROOT}/etc/MailScanner/reports/it
mkdir -p ${RPM_BUILD_ROOT}/etc/MailScanner/reports/ro
mkdir -p ${RPM_BUILD_ROOT}/etc/MailScanner/reports/se
mkdir -p ${RPM_BUILD_ROOT}/etc/MailScanner/rules
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/MailScanner/
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/MailScanner/MailScanner
mkdir -p ${RPM_BUILD_ROOT}/usr/share/MailScanner/
mkdir -p ${RPM_BUILD_ROOT}/etc/cron.hourly
mkdir -p ${RPM_BUILD_ROOT}/etc/cron.daily
mkdir -p ${RPM_BUILD_ROOT}/etc/sysconfig
mkdir -p ${RPM_BUILD_ROOT}/var/spool/mqueue.in
mkdir -p ${RPM_BUILD_ROOT}/var/spool/MailScanner/incoming
mkdir -p ${RPM_BUILD_ROOT}/var/spool/MailScanner/quarantine
mkdir -p ${RPM_BUILD_ROOT}/var/run

install bin/df2mbox            ${RPM_BUILD_ROOT}/usr/sbin/df2mbox
install bin/mailscanner        ${RPM_BUILD_ROOT}/usr/sbin/MailScanner
install check_MailScanner      ${RPM_BUILD_ROOT}/usr/sbin/check_MailScanner
ln -s   check_MailScanner      ${RPM_BUILD_ROOT}/usr/sbin/check_mailscanner
install bin/Sophos.install     ${RPM_BUILD_ROOT}/usr/sbin/Sophos.install
install bin/update_virus_scanners ${RPM_BUILD_ROOT}/usr/sbin/update_virus_scanners
install MailScanner.opts.rh    ${RPM_BUILD_ROOT}/etc/sysconfig/MailScanner
install MailScanner.init.rh    ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d/MailScanner
install check_MailScanner.cron ${RPM_BUILD_ROOT}/etc/cron.hourly/check_MailScanner
install update_virus_scanners.cron ${RPM_BUILD_ROOT}/etc/cron.hourly/update_virus_scanners
install clean.quarantine.cron  ${RPM_BUILD_ROOT}/etc/cron.daily/clean.quarantine
install doc/MailScanner.8.gz   ${RPM_BUILD_ROOT}/usr/share/man/man8/

while read f 
do
  install etc/$f ${RPM_BUILD_ROOT}/etc/MailScanner/
done << EOF
filename.rules.conf
MailScanner.conf
spam.assassin.prefs.conf
spam.lists.conf
virus.scanners.conf
EOF


for lang in en cs de fr es nl pt_br sk dk it ro se
do
  while read f 
  do
    install etc/reports/$lang/$f ${RPM_BUILD_ROOT}/etc/MailScanner/reports/$lang
  done << EOF
deleted.filename.message.txt
deleted.virus.message.txt
disinfected.report.txt
inline.sig.html
inline.sig.txt
inline.warning.html
inline.warning.txt
languages.conf
sender.error.report.txt
sender.filename.report.txt
sender.spam.rbl.report.txt
sender.spam.report.txt
sender.spam.sa.report.txt
sender.virus.report.txt
stored.filename.message.txt
stored.virus.message.txt
EOF
done

install etc/reports/de/README.1ST ${RPM_BUILD_ROOT}/etc/MailScanner/reports/de
install etc/reports/se/README     ${RPM_BUILD_ROOT}/etc/MailScanner/reports/se

while read f 
do
  install etc/rules/$f ${RPM_BUILD_ROOT}/etc/MailScanner/rules
done << EOF
EXAMPLES
README
spam.whitelist.rules
spam.blacklist.rules
EOF

while read f 
do
  install lib/$f ${RPM_BUILD_ROOT}/usr/lib/MailScanner
done << EOF
antivir-autoupdate
antivir-wrapper
clamav-autoupdate
clamav-wrapper
command-wrapper
f-prot-autoupdate
f-prot-wrapper
f-secure-wrapper
inoculan-wrapper
inoculate-wrapper
kaspersky.prf
kaspersky-wrapper
mcafee-autoupdate
mcafee-wrapper
nod32-wrapper
panda-wrapper
rav-autoupdate
rav-wrapper
sophos-autoupdate
sophos-wrapper
trend-wrapper
EOF

install bin/MailScanner.pm ${RPM_BUILD_ROOT}/usr/lib/MailScanner/

while read f 
do
  install bin/MailScanner/$f ${RPM_BUILD_ROOT}/usr/lib/MailScanner/MailScanner/
done << EOF
ConfigDefs.pl
Config.pm
CustomConfig.pm
Exim.pm
EximDiskStore.pm
Lock.pm
Log.pm
Mail.pm
MessageBatch.pm
Message.pm
Quarantine.pm
Queue.pm
RBLs.pm
SA.pm
Sendmail.pm
SMDiskStore.pm
SweepContent.pm
SweepOther.pm
SweepViruses.pm
SystemDefs.pm
TNEF.pm
WorkArea.pm
EOF

install var/run/MailScanner.pid ${RPM_BUILD_ROOT}/var/run/

%clean
rm -rf ${RPM_BUILD_ROOT}

%pre

%post
chkconfig --add MailScanner
cat << EOF
Pred aktivaci sluzby MailScanner je nutno deaktivovat bezici 
kopii sendmailu spustenou beznym zpusobem. MailScanner totiz
spousti 2 vlastni kopie sendmailu, jednu pro prichozi postu,
druhou pro odchozi postu. Tyto kopie jsou nakonfigurovany tak, 
aby veskerou postu odevzdavaly ke kontrole antivirovym a 
antispamovym subsystemum spoustenym a rizenym programem 
MailScanner.
EOF
service sendmail stop
echo "Odstranuji sendmail ze vsech runlevelu..."
chkconfig sendmail off
echo "Aktivuji MailScanner v runlevelech 2345..."
chkconfig --level 2345 MailScanner on
echo "Startuji sluzbu MailScanner..."
service MailScanner start
echo "Pokud vse dobre dopadlo, koncim."

%preun
if [ $1 = 0 ]; then
    # We are being deleted, not upgraded
    service MailScanner stop >/dev/null 2>&1
    chkconfig MailScanner off
    chkconfig --del MailScanner
fi
if [ -f "/etc/rc.d/init.d/sendmail" ]; then
    echo "Obnovuji bezny rezim spousteni sendmailu..."
    chkconfig --level 2345 sendmail on
    service sendmail start   
fi
exit 0

%postun
if [ "$1" -ge "1" ]; then
    # We are being upgraded or replaced, not deleted
    service MailScanner restart >/dev/null 2>&1
fi
exit 0

%files
%defattr (644,root,root)
%attr(700,-,-) %dir /var/spool/mqueue.in
%attr(700,-,-) %dir /var/spool/MailScanner/incoming
%attr(700,-,-) %dir /var/spool/MailScanner/quarantine
%attr(700,-,-) /var/run/MailScanner.pid
%attr(755,-,-) /usr/sbin/df2mbox
%attr(755,-,-) /usr/sbin/MailScanner
%attr(755,-,-) /usr/sbin/check_MailScanner
%attr(755,-,-) /usr/sbin/check_mailscanner
%attr(755,-,-) /usr/sbin/Sophos.install
%attr(755,-,-) /usr/sbin/update_virus_scanners
%attr(755,-,-) /%{_sysconfdir}/rc.d/init.d/MailScanner
%attr(755,-,-) /etc/cron.hourly/check_MailScanner
%attr(755,-,-) /etc/cron.hourly/update_virus_scanners
%config(noreplace) %attr(755,-,-) /etc/cron.daily/clean.quarantine
%attr(755,-,-) /etc/sysconfig/MailScanner

%doc /usr/share/man/man8/MailScanner.8.gz

%config(noreplace) /etc/MailScanner/filename.rules.conf
%config(noreplace) /etc/MailScanner/MailScanner.conf
%config(noreplace) /etc/MailScanner/spam.assassin.prefs.conf
%config(noreplace) /etc/MailScanner/spam.lists.conf
%config(noreplace) /etc/MailScanner/virus.scanners.conf

%config(noreplace) /etc/MailScanner/reports/en/deleted.filename.message.txt
%config(noreplace) /etc/MailScanner/reports/en/deleted.virus.message.txt
%config(noreplace) /etc/MailScanner/reports/en/disinfected.report.txt
%config(noreplace) /etc/MailScanner/reports/en/inline.sig.html
%config(noreplace) /etc/MailScanner/reports/en/inline.sig.txt
%config(noreplace) /etc/MailScanner/reports/en/inline.warning.html
%config(noreplace) /etc/MailScanner/reports/en/inline.warning.txt
%config(noreplace) /etc/MailScanner/reports/en/languages.conf
%config(noreplace) /etc/MailScanner/reports/en/sender.error.report.txt
%config(noreplace) /etc/MailScanner/reports/en/sender.filename.report.txt
%config(noreplace) /etc/MailScanner/reports/en/sender.spam.rbl.report.txt
%config(noreplace) /etc/MailScanner/reports/en/sender.spam.report.txt
%config(noreplace) /etc/MailScanner/reports/en/sender.spam.sa.report.txt
%config(noreplace) /etc/MailScanner/reports/en/sender.virus.report.txt
%config(noreplace) /etc/MailScanner/reports/en/stored.filename.message.txt
%config(noreplace) /etc/MailScanner/reports/en/stored.virus.message.txt
%config(noreplace) /etc/MailScanner/reports/cs/deleted.filename.message.txt
%config(noreplace) /etc/MailScanner/reports/cs/deleted.virus.message.txt
%config(noreplace) /etc/MailScanner/reports/cs/disinfected.report.txt
%config(noreplace) /etc/MailScanner/reports/cs/inline.sig.html
%config(noreplace) /etc/MailScanner/reports/cs/inline.sig.txt
%config(noreplace) /etc/MailScanner/reports/cs/inline.warning.html
%config(noreplace) /etc/MailScanner/reports/cs/inline.warning.txt
%config(noreplace) /etc/MailScanner/reports/cs/languages.conf
%config(noreplace) /etc/MailScanner/reports/cs/sender.error.report.txt
%config(noreplace) /etc/MailScanner/reports/cs/sender.filename.report.txt
%config(noreplace) /etc/MailScanner/reports/cs/sender.spam.rbl.report.txt
%config(noreplace) /etc/MailScanner/reports/cs/sender.spam.report.txt
%config(noreplace) /etc/MailScanner/reports/cs/sender.spam.sa.report.txt
%config(noreplace) /etc/MailScanner/reports/cs/sender.virus.report.txt
%config(noreplace) /etc/MailScanner/reports/cs/stored.filename.message.txt
%config(noreplace) /etc/MailScanner/reports/cs/stored.virus.message.txt
%config(noreplace) /etc/MailScanner/reports/de/deleted.filename.message.txt
%config(noreplace) /etc/MailScanner/reports/de/deleted.virus.message.txt
%config(noreplace) /etc/MailScanner/reports/de/disinfected.report.txt
%config(noreplace) /etc/MailScanner/reports/de/inline.sig.html
%config(noreplace) /etc/MailScanner/reports/de/inline.sig.txt
%config(noreplace) /etc/MailScanner/reports/de/inline.warning.html
%config(noreplace) /etc/MailScanner/reports/de/inline.warning.txt
%config(noreplace) /etc/MailScanner/reports/de/languages.conf
%config(noreplace) /etc/MailScanner/reports/de/README.1ST
%config(noreplace) /etc/MailScanner/reports/de/sender.error.report.txt
%config(noreplace) /etc/MailScanner/reports/de/sender.filename.report.txt
%config(noreplace) /etc/MailScanner/reports/de/sender.spam.rbl.report.txt
%config(noreplace) /etc/MailScanner/reports/de/sender.spam.report.txt
%config(noreplace) /etc/MailScanner/reports/de/sender.spam.sa.report.txt
%config(noreplace) /etc/MailScanner/reports/de/sender.virus.report.txt
%config(noreplace) /etc/MailScanner/reports/de/stored.filename.message.txt
%config(noreplace) /etc/MailScanner/reports/de/stored.virus.message.txt
%config(noreplace) /etc/MailScanner/reports/fr/deleted.filename.message.txt
%config(noreplace) /etc/MailScanner/reports/fr/deleted.virus.message.txt
%config(noreplace) /etc/MailScanner/reports/fr/disinfected.report.txt
%config(noreplace) /etc/MailScanner/reports/fr/inline.sig.html
%config(noreplace) /etc/MailScanner/reports/fr/inline.sig.txt
%config(noreplace) /etc/MailScanner/reports/fr/inline.warning.html
%config(noreplace) /etc/MailScanner/reports/fr/inline.warning.txt
%config(noreplace) /etc/MailScanner/reports/fr/languages.conf
%config(noreplace) /etc/MailScanner/reports/fr/sender.error.report.txt
%config(noreplace) /etc/MailScanner/reports/fr/sender.filename.report.txt
%config(noreplace) /etc/MailScanner/reports/fr/sender.spam.rbl.report.txt
%config(noreplace) /etc/MailScanner/reports/fr/sender.spam.report.txt
%config(noreplace) /etc/MailScanner/reports/fr/sender.spam.sa.report.txt
%config(noreplace) /etc/MailScanner/reports/fr/sender.virus.report.txt
%config(noreplace) /etc/MailScanner/reports/fr/stored.filename.message.txt
%config(noreplace) /etc/MailScanner/reports/fr/stored.virus.message.txt
%config(noreplace) /etc/MailScanner/reports/es/deleted.filename.message.txt
%config(noreplace) /etc/MailScanner/reports/es/deleted.virus.message.txt
%config(noreplace) /etc/MailScanner/reports/es/disinfected.report.txt
%config(noreplace) /etc/MailScanner/reports/es/inline.sig.html
%config(noreplace) /etc/MailScanner/reports/es/inline.sig.txt
%config(noreplace) /etc/MailScanner/reports/es/inline.warning.html
%config(noreplace) /etc/MailScanner/reports/es/inline.warning.txt
%config(noreplace) /etc/MailScanner/reports/es/languages.conf
%config(noreplace) /etc/MailScanner/reports/es/sender.error.report.txt
%config(noreplace) /etc/MailScanner/reports/es/sender.filename.report.txt
%config(noreplace) /etc/MailScanner/reports/es/sender.spam.rbl.report.txt
%config(noreplace) /etc/MailScanner/reports/es/sender.spam.report.txt
%config(noreplace) /etc/MailScanner/reports/es/sender.spam.sa.report.txt
%config(noreplace) /etc/MailScanner/reports/es/sender.virus.report.txt
%config(noreplace) /etc/MailScanner/reports/es/stored.filename.message.txt
%config(noreplace) /etc/MailScanner/reports/es/stored.virus.message.txt
%config(noreplace) /etc/MailScanner/reports/nl/deleted.filename.message.txt
%config(noreplace) /etc/MailScanner/reports/nl/deleted.virus.message.txt
%config(noreplace) /etc/MailScanner/reports/nl/disinfected.report.txt
%config(noreplace) /etc/MailScanner/reports/nl/inline.sig.html
%config(noreplace) /etc/MailScanner/reports/nl/inline.sig.txt
%config(noreplace) /etc/MailScanner/reports/nl/inline.warning.html
%config(noreplace) /etc/MailScanner/reports/nl/inline.warning.txt
%config(noreplace) /etc/MailScanner/reports/nl/languages.conf
%config(noreplace) /etc/MailScanner/reports/nl/sender.error.report.txt
%config(noreplace) /etc/MailScanner/reports/nl/sender.filename.report.txt
%config(noreplace) /etc/MailScanner/reports/nl/sender.spam.rbl.report.txt
%config(noreplace) /etc/MailScanner/reports/nl/sender.spam.report.txt
%config(noreplace) /etc/MailScanner/reports/nl/sender.spam.sa.report.txt
%config(noreplace) /etc/MailScanner/reports/nl/sender.virus.report.txt
%config(noreplace) /etc/MailScanner/reports/nl/stored.filename.message.txt
%config(noreplace) /etc/MailScanner/reports/nl/stored.virus.message.txt
%config(noreplace) /etc/MailScanner/reports/pt_br/deleted.filename.message.txt
%config(noreplace) /etc/MailScanner/reports/pt_br/deleted.virus.message.txt
%config(noreplace) /etc/MailScanner/reports/pt_br/disinfected.report.txt
%config(noreplace) /etc/MailScanner/reports/pt_br/inline.sig.html
%config(noreplace) /etc/MailScanner/reports/pt_br/inline.sig.txt
%config(noreplace) /etc/MailScanner/reports/pt_br/inline.warning.html
%config(noreplace) /etc/MailScanner/reports/pt_br/inline.warning.txt
%config(noreplace) /etc/MailScanner/reports/pt_br/languages.conf
%config(noreplace) /etc/MailScanner/reports/pt_br/sender.error.report.txt
%config(noreplace) /etc/MailScanner/reports/pt_br/sender.filename.report.txt
%config(noreplace) /etc/MailScanner/reports/pt_br/sender.spam.rbl.report.txt
%config(noreplace) /etc/MailScanner/reports/pt_br/sender.spam.report.txt
%config(noreplace) /etc/MailScanner/reports/pt_br/sender.spam.sa.report.txt
%config(noreplace) /etc/MailScanner/reports/pt_br/sender.virus.report.txt
%config(noreplace) /etc/MailScanner/reports/pt_br/stored.filename.message.txt
%config(noreplace) /etc/MailScanner/reports/pt_br/stored.virus.message.txt
%config(noreplace) /etc/MailScanner/reports/sk/deleted.filename.message.txt
%config(noreplace) /etc/MailScanner/reports/sk/deleted.virus.message.txt
%config(noreplace) /etc/MailScanner/reports/sk/disinfected.report.txt
%config(noreplace) /etc/MailScanner/reports/sk/inline.sig.html
%config(noreplace) /etc/MailScanner/reports/sk/inline.sig.txt
%config(noreplace) /etc/MailScanner/reports/sk/inline.warning.html
%config(noreplace) /etc/MailScanner/reports/sk/inline.warning.txt
%config(noreplace) /etc/MailScanner/reports/sk/languages.conf
%config(noreplace) /etc/MailScanner/reports/sk/sender.error.report.txt
%config(noreplace) /etc/MailScanner/reports/sk/sender.filename.report.txt
%config(noreplace) /etc/MailScanner/reports/sk/sender.spam.rbl.report.txt
%config(noreplace) /etc/MailScanner/reports/sk/sender.spam.report.txt
%config(noreplace) /etc/MailScanner/reports/sk/sender.spam.sa.report.txt
%config(noreplace) /etc/MailScanner/reports/sk/sender.virus.report.txt
%config(noreplace) /etc/MailScanner/reports/sk/stored.filename.message.txt
%config(noreplace) /etc/MailScanner/reports/sk/stored.virus.message.txt
%config(noreplace) /etc/MailScanner/reports/dk/deleted.filename.message.txt
%config(noreplace) /etc/MailScanner/reports/dk/deleted.virus.message.txt
%config(noreplace) /etc/MailScanner/reports/dk/disinfected.report.txt
%config(noreplace) /etc/MailScanner/reports/dk/inline.sig.html
%config(noreplace) /etc/MailScanner/reports/dk/inline.sig.txt
%config(noreplace) /etc/MailScanner/reports/dk/inline.warning.html
%config(noreplace) /etc/MailScanner/reports/dk/inline.warning.txt
%config(noreplace) /etc/MailScanner/reports/dk/languages.conf
%config(noreplace) /etc/MailScanner/reports/dk/sender.error.report.txt
%config(noreplace) /etc/MailScanner/reports/dk/sender.filename.report.txt
%config(noreplace) /etc/MailScanner/reports/dk/sender.spam.rbl.report.txt
%config(noreplace) /etc/MailScanner/reports/dk/sender.spam.report.txt
%config(noreplace) /etc/MailScanner/reports/dk/sender.spam.sa.report.txt
%config(noreplace) /etc/MailScanner/reports/dk/sender.virus.report.txt
%config(noreplace) /etc/MailScanner/reports/dk/stored.filename.message.txt
%config(noreplace) /etc/MailScanner/reports/dk/stored.virus.message.txt
%config(noreplace) /etc/MailScanner/reports/it/deleted.filename.message.txt
%config(noreplace) /etc/MailScanner/reports/it/deleted.virus.message.txt
%config(noreplace) /etc/MailScanner/reports/it/disinfected.report.txt
%config(noreplace) /etc/MailScanner/reports/it/inline.sig.html
%config(noreplace) /etc/MailScanner/reports/it/inline.sig.txt
%config(noreplace) /etc/MailScanner/reports/it/inline.warning.html
%config(noreplace) /etc/MailScanner/reports/it/inline.warning.txt
%config(noreplace) /etc/MailScanner/reports/it/languages.conf
%config(noreplace) /etc/MailScanner/reports/it/sender.error.report.txt
%config(noreplace) /etc/MailScanner/reports/it/sender.filename.report.txt
%config(noreplace) /etc/MailScanner/reports/it/sender.spam.rbl.report.txt
%config(noreplace) /etc/MailScanner/reports/it/sender.spam.report.txt
%config(noreplace) /etc/MailScanner/reports/it/sender.spam.sa.report.txt
%config(noreplace) /etc/MailScanner/reports/it/sender.virus.report.txt
%config(noreplace) /etc/MailScanner/reports/it/stored.filename.message.txt
%config(noreplace) /etc/MailScanner/reports/it/stored.virus.message.txt
%config(noreplace) /etc/MailScanner/reports/ro/deleted.filename.message.txt
%config(noreplace) /etc/MailScanner/reports/ro/deleted.virus.message.txt
%config(noreplace) /etc/MailScanner/reports/ro/disinfected.report.txt
%config(noreplace) /etc/MailScanner/reports/ro/inline.sig.html
%config(noreplace) /etc/MailScanner/reports/ro/inline.sig.txt
%config(noreplace) /etc/MailScanner/reports/ro/inline.warning.html
%config(noreplace) /etc/MailScanner/reports/ro/inline.warning.txt
%config(noreplace) /etc/MailScanner/reports/ro/languages.conf
%config(noreplace) /etc/MailScanner/reports/ro/sender.error.report.txt
%config(noreplace) /etc/MailScanner/reports/ro/sender.filename.report.txt
%config(noreplace) /etc/MailScanner/reports/ro/sender.spam.rbl.report.txt
%config(noreplace) /etc/MailScanner/reports/ro/sender.spam.report.txt
%config(noreplace) /etc/MailScanner/reports/ro/sender.spam.sa.report.txt
%config(noreplace) /etc/MailScanner/reports/ro/sender.virus.report.txt
%config(noreplace) /etc/MailScanner/reports/ro/stored.filename.message.txt
%config(noreplace) /etc/MailScanner/reports/ro/stored.virus.message.txt
%config(noreplace) /etc/MailScanner/reports/se/deleted.filename.message.txt
%config(noreplace) /etc/MailScanner/reports/se/deleted.virus.message.txt
%config(noreplace) /etc/MailScanner/reports/se/disinfected.report.txt
%config(noreplace) /etc/MailScanner/reports/se/inline.sig.html
%config(noreplace) /etc/MailScanner/reports/se/inline.sig.txt
%config(noreplace) /etc/MailScanner/reports/se/inline.warning.html
%config(noreplace) /etc/MailScanner/reports/se/inline.warning.txt
%config(noreplace) /etc/MailScanner/reports/se/languages.conf
%config(noreplace) /etc/MailScanner/reports/se/README
%config(noreplace) /etc/MailScanner/reports/se/sender.error.report.txt
%config(noreplace) /etc/MailScanner/reports/se/sender.filename.report.txt
%config(noreplace) /etc/MailScanner/reports/se/sender.spam.rbl.report.txt
%config(noreplace) /etc/MailScanner/reports/se/sender.spam.report.txt
%config(noreplace) /etc/MailScanner/reports/se/sender.spam.sa.report.txt
%config(noreplace) /etc/MailScanner/reports/se/sender.virus.report.txt
%config(noreplace) /etc/MailScanner/reports/se/stored.filename.message.txt
%config(noreplace) /etc/MailScanner/reports/se/stored.virus.message.txt

/etc/MailScanner/rules/EXAMPLES
/etc/MailScanner/rules/README
%config(noreplace) /etc/MailScanner/rules/spam.whitelist.rules
%config(noreplace) /etc/MailScanner/rules/spam.blacklist.rules


%attr(755,-,-) %config(noreplace) /usr/lib/MailScanner/antivir-autoupdate
%attr(755,-,-) %config(noreplace) /usr/lib/MailScanner/antivir-wrapper
%attr(755,-,-) %config(noreplace) /usr/lib/MailScanner/clamav-autoupdate
%attr(755,-,-) %config(noreplace) /usr/lib/MailScanner/clamav-wrapper
%attr(755,-,-) %config(noreplace) /usr/lib/MailScanner/command-wrapper
%attr(755,-,-) %config(noreplace) /usr/lib/MailScanner/f-prot-autoupdate
%attr(755,-,-) %config(noreplace) /usr/lib/MailScanner/f-prot-wrapper
%attr(755,-,-) %config(noreplace) /usr/lib/MailScanner/f-secure-wrapper
%attr(755,-,-) %config(noreplace) /usr/lib/MailScanner/inoculan-wrapper
%attr(755,-,-) %config(noreplace) /usr/lib/MailScanner/inoculate-wrapper
%attr(755,-,-) %config(noreplace) /usr/lib/MailScanner/kaspersky.prf
%attr(755,-,-) %config(noreplace) /usr/lib/MailScanner/kaspersky-wrapper
%attr(755,-,-) %config(noreplace) /usr/lib/MailScanner/mcafee-autoupdate
%attr(755,-,-) %config(noreplace) /usr/lib/MailScanner/mcafee-wrapper
%attr(755,-,-) %config(noreplace) /usr/lib/MailScanner/nod32-wrapper
%attr(755,-,-) %config(noreplace) /usr/lib/MailScanner/panda-wrapper
%attr(755,-,-) %config(noreplace) /usr/lib/MailScanner/rav-autoupdate
%attr(755,-,-) %config(noreplace) /usr/lib/MailScanner/rav-wrapper
%attr(755,-,-) %config(noreplace) /usr/lib/MailScanner/sophos-autoupdate
%attr(755,-,-) %config(noreplace) /usr/lib/MailScanner/sophos-wrapper
%attr(755,-,-) %config(noreplace) /usr/lib/MailScanner/trend-wrapper

/usr/lib/MailScanner/MailScanner.pm

/usr/lib/MailScanner/MailScanner/ConfigDefs.pl
/usr/lib/MailScanner/MailScanner/Config.pm
%config(noreplace) /usr/lib/MailScanner/MailScanner/CustomConfig.pm
/usr/lib/MailScanner/MailScanner/Exim.pm
/usr/lib/MailScanner/MailScanner/EximDiskStore.pm
/usr/lib/MailScanner/MailScanner/Lock.pm
/usr/lib/MailScanner/MailScanner/Log.pm
/usr/lib/MailScanner/MailScanner/Mail.pm
/usr/lib/MailScanner/MailScanner/MessageBatch.pm
/usr/lib/MailScanner/MailScanner/Message.pm
/usr/lib/MailScanner/MailScanner/Quarantine.pm
/usr/lib/MailScanner/MailScanner/Queue.pm
/usr/lib/MailScanner/MailScanner/RBLs.pm
/usr/lib/MailScanner/MailScanner/SA.pm
/usr/lib/MailScanner/MailScanner/Sendmail.pm
/usr/lib/MailScanner/MailScanner/SMDiskStore.pm
/usr/lib/MailScanner/MailScanner/SweepContent.pm
/usr/lib/MailScanner/MailScanner/SweepOther.pm
/usr/lib/MailScanner/MailScanner/SweepViruses.pm
/usr/lib/MailScanner/MailScanner/SystemDefs.pm
/usr/lib/MailScanner/MailScanner/TNEF.pm
/usr/lib/MailScanner/MailScanner/WorkArea.pm


%doc %attr(755,-,-) doc/html/COPYING
%doc %attr(755,-,-) doc/html

%changelog
* Thu Apr 17 2003 Martin -tvi- Grombirik <tvi@edunix.cz>
- Version 4.13, adapted for project Edunix.cz 

* Fri Dec 27 2002 Julian Field <mailscanner@ecs.soton.ac.uk>
- Updated for 4.11-1, added se translation

* Sun Nov 17 2002 Julian Field <mailscanner@ecs.soton.ac.uk>
- Updated for 4.06-2, added EximDiskStore.pm and languages.conf

* Sun Nov 10 2002 Julian Field <mailscanner@ecs.soton.ac.uk>
- Updated for 4.06-1, added /usr/sbin/df2mbox

* Sun Oct 27 2002 Julian Field <mailscanner@ecs.soton.ac.uk>
- Updated for 4.03-1, added CustomConfig.pm and trend-wrapper

* Sun Oct 20 2002 Julian Field <mailscanner@ecs.soton.ac.uk>
- Updated for 4.01-1

* Thu Oct 10 2002 Julian Field <mailscanner@ecs.soton.ac.uk>
- Updated for 4.00.0a12

* Sat Oct 05 2002 Julian Field <mailscanner@ecs.soton.ac.uk>
- Added SweepContent.pm and updated for 4.00.0a9

* Fri Oct 04 2002 Julian Field <mailscanner@ecs.soton.ac.uk>
- Updated for RedHat 8.0

* Tue Oct 01 2002 Julian Field <mailscanner@ecs.soton.ac.uk>
- Added German reports

* Sun Sep 29 2002 Julian Field <mailscanner@ecs.soton.ac.uk>
- Rewritten for MailScanner version 4

* Fri Jul 26 2002 Richard Keech <rkeech@ender.keech.cx>
- initial tested version

* Fri Jul 19 2002 Richard Keech <rkeech@redhat.com>
- v3.22 Re-packaged entirely.

